From: Mikulas Patocka <mpatocka@redhat.com>

Rename __split_bio() to __split_and_process_bio() because it not only splits
the bio to serveral parts, but also submits them to target drivers.

Signed-off-by: Mikulas Patocka <mpatocka@redhat.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

Index: linux-2.6.29/drivers/md/dm.c
===================================================================
--- linux-2.6.29.orig/drivers/md/dm.c	2009-04-02 16:50:02.000000000 +0100
+++ linux-2.6.29/drivers/md/dm.c	2009-04-02 16:50:03.000000000 +0100
@@ -826,9 +826,9 @@ static int __clone_and_map(struct clone_
 }
 
 /*
- * Split the bio into several clones.
+ * Split the bio into several clones and submit it to targets.
  */
-static int __split_bio(struct mapped_device *md, struct bio *bio)
+static int __split_and_process_bio(struct mapped_device *md, struct bio *bio)
 {
 	struct clone_info ci;
 	int error = 0;
@@ -951,7 +951,7 @@ static int dm_request(struct request_que
 		down_read(&md->io_lock);
 	}
 
-	r = __split_bio(md, bio);
+	r = __split_and_process_bio(md, bio);
 	up_read(&md->io_lock);
 
 out_req:
@@ -1405,7 +1405,7 @@ static void __flush_deferred_io(struct m
 	struct bio *c;
 
 	while ((c = bio_list_pop(&md->deferred))) {
-		if (__split_bio(md, c))
+		if (__split_and_process_bio(md, c))
 			bio_io_error(c);
 	}
 
